#! /bin/sh /usr/share/dpatch/dpatch-run
## suppress-password-output.diff by Dario Minnucci <debian@midworld.net>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Suppress password output on program execution for non anonymous logins.

@DPATCH@
diff -urNad ftpmirror-1.96~/Fan/Fan.pm ftpmirror-1.96/Fan/Fan.pm
--- ftpmirror-1.96~/Fan/Fan.pm	2007-01-30 04:39:36.767630284 +0100
+++ ftpmirror-1.96/Fan/Fan.pm	2007-01-30 04:44:00.397411909 +0100
@@ -762,8 +762,14 @@
 
 		# Show user account.
 		$msg = "username = ".$p->ftp_user;
-		$msg .= '/'.$p->ftp_pass
-			if $p->ftp_user eq 'ftp' || $p->ftp_user eq 'anonymous';
+
+		#
+		# Suppress password output on program execution for non anonymous logins
+		#
+		#if ($p->ftp_user eq 'ftp' || $p->ftp_user eq 'anonymous') {
+		if ($p->ftp_user eq 'anonymous') {
+			$msg .= '/'.$p->ftp_pass;
+		}
 		plog(5, $msg."\n");
 
 # WE USE DELAYED LOGIN, THAT IS, WE WILL LOGIN WHEN FIRST COMMAND
